# $Revision: 1.30 $, $Date: 2004/07/26 08:03:00 $
Summary:	Bonobo configuration moniker
Summary(pl):	Narzdzie konfiguracyjne Bonobo
Name:		bonobo-conf
Version:	0.16
Release:	2
License:	GPL
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/mirror/gnome.org/sources/%{name}/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	03467d42b8a74d379cfef238017eb862
Patch0:		%{name}-am15.patch
Patch1:		%{name}-locale_names.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf-devel >= 0.11
BuildRequires:	audiofile-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bonobo-devel >= 1.0.0
BuildRequires:	esound-devel
BuildRequires:	gettext-devel
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	oaf-devel >= 0.6.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libbonobo-conf0

%description
Bonobo configuration moniker.

%description -l pl
Narzdzie konfiguracyjne Bonobo.

%package devel
Summary:	Include files for the configuration moniker
Summary(pl):	Pliki nagwkowe dla bibliotek narzdzia konfiguracyjnego Bonobo
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libbonobo-conf0-devel

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo configuration
moniker.

%description devel -l pl
Biblioteki i pliki nagwkowe potrzebne do programowania z uyciem
bibliotek narzdzia konfiguracyjnego Bonobo.

%package static
Summary:	Static libraries for the configuration moniker
Summary(pl):	Statyczne biblioteki narzdzia konfiguracyjnego Bonobo
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries for the configuration moniker.

%description static -l pl
Statyczne biblioteki narzdzia konfiguracyjnego Bonobo.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

mv -f po/{no,nb}.po

%build
rm -f missing
%{__gettextize}
%{__libtoolize}
xml-i18n-toolize --force
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/bonobo/monikers/*.so*
%{_datadir}/oaf/*.oaf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/bonobo/monikers/*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_includedir}/bonobo-conf
%{_datadir}/idl/*.idl

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a
%{_libdir}/bonobo/monikers/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bonobo-conf.spec,v $
Revision 1.30  2004/07/26 08:03:00  ankry
- no -> nb, rel. 2

Revision 1.29  2003/08/06 16:37:23  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.28  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.27  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 05:46:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.24  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.23  2002/11/13 14:14:49  pascalek
- source url updated

Revision 1.22  2002/11/03 15:43:05  misiek
- updated to 2.1.2

Revision 1.21  2002/10/09 11:19:21  qboosh
- BR: intltool; new %%doc

Revision 1.20  2002/06/23 20:52:48  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.19  2002/06/23 20:32:21  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.18  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/25 15:54:48  arturs
fixed a small typo

Revision 1.16  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/03/16 23:34:21  kloczek
- release 4: libbonobo-conf0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.14  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:12:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/19 10:02:26  kloczek
- release 2.

Revision 1.11  2001/11/19 09:56:00  saq
- run xml-i18n-toolize --force instead of patching

Revision 1.10  2001/11/19 02:42:37  kloczek
- updated to 0.14.

Revision 1.9  2001/11/16 23:01:40  saq
- up to 0.13
- added perl.patch (build bugfix, author notified)
- buildreq g{lib,tk+}-devel >= 1.2.0
- STBR

Revision 1.8  2001/10/01 19:06:56  kloczek
- updated to 0.12.

Revision 1.7  2001/09/26 09:32:52  qboosh
- adapterized, added the rest of pl translations and BuildRequires: libtool

Revision 1.6  2001/09/21 03:21:28  kloczek
- added am15 patch.

Revision 1.5  2001/09/20 18:46:54  blues
- 0.11
- removed outdated patches

Revision 1.4  2001/08/06 11:21:23  kloczek
- updated to 0.10.

Revision 1.3  2001/08/02 12:39:03  kloczek
- spec completly rewrited.

Revision 1.2  2001/07/30 20:19:05  blues
- 0.9
- adapterized, rewriten...
STB
